<!doctype html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <link href="//fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    {% block stylesheets %}{% endblock %}
</head>
<body>

<ul id="drop-log" class="dropdown-content">
    <li>
        <a href="{{ path('admin') }}">
            Home
        </a>
    </li>
    <li>
        <a href="{{ path('cv') }}">
            CV
        </a>
    </li>
    <li>
        <a href="{{ path('recommendation') }}">
            Recommendation
        </a>
    </li>
    <li>
        <a href="{{ path('logout') }}">
            {{ 'Déconnexion'|trans }}
        </a>
    </li>
</ul>


<header class="page-topbar">
    <nav class="light-blue lighten-1" role="navigation">
        <div class="nav-wrapper container"><a href="#" class="brand-logo">{% block logo %}Administration des messages{% endblock %}</a>
            <ul id="nav-mobile" class="right hide-on-med-and-down">
                <li>{% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                        <a class="dropdown-button" href="#!" data-activates="drop-log">{{ 'Connecté'|trans({'%username%': app.user.username}) }} <i class="material-icons right">arrow_drop_down</i></a>
                    {% else %}
                        <a href="{{ path('logout') }}">{{ 'Deconnexion'|trans }}</a>
                    {% endif %}
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="wrapper">
    <section style="padding-top: 100px">
        {% for flash_message in app.session.flashBag.get('notice') %}
            <div class="container">
                <div class="row">
                    <div class="col s12 z-depth-5 teal" style="padding: 20px">
                        <div class="flash-notice">
                            {{ flash_message }}
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        <div class="container">
            {% block body %}{% endblock %}
        </div>
    </section>
</div>

<script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
{% block javascripts %}{% endblock %}
<script>
    $(function () {
        $(".dropdown-button").dropdown();
    })
</script>
</body>
</html>
